%define kdeprefix /usr
%define version 0.99pre2
%define kderelease 1

%define qtver  qt >= 1.42

%define kdename  knetmon
Name: %{kdename}
Summary: KNetmon monitors network connections via SAMBA and NFS.
Version: %{version}
Release: %{kderelease}
Serial: 1
Source: ftp://ftp.kde.org/pub/kde/stable/latest/apps/network/%{kdename}-%{version}.tgz
Patch0: knetmon-0.99pre2-buildroot.patch
License: GPL
URL: http://www.tu-ilmenau.de/~lekus/software.htm
Group: Applications/Internet
Buildroot: /var/tmp/%{kdename}-buildroot
Requires: %{qtver} kdesupport
Prefix: %{kdeprefix}

%description 
KNetMon is a program similar to netmon for windows. It's provides much
more than a frontend to many command line network tools like samba,
smbfs, talk, telnet, rlogin and so on. It also displays the currently
active hosts the network, supports Samba and NFS and simplifies
accessing shares. Knetmon provides some additional KDE-features, like
a configuration tool.

%prep
rm -rf $RPM_BUILD_ROOT
%setup -q
%patch -p1 -b .buildroot

%build
export KDEDIR=%{kdeprefix}
./configure \
	--prefix=%{kdeprefix} \
	--exec_prefix=%{kdeprefix} \
	--with-install-root=$RPM_BUILD_ROOT \
	--disable-path-check
make CXXFLAGS="$RPM_OPT_FLAGS -DNO_DEBUG"

%install
export KDEDIR=%{kdeprefix}
make install-strip prefix=$RPM_BUILD_ROOT%{kdeprefix} \
	exec_prefix=$RPM_BUILD_ROOT%{kdeprefix}

cd $RPM_BUILD_ROOT
find . -type d | sed '1,2d;s,^\.,\%attr(-\,root\,root) \%dir ,' > \
        $RPM_BUILD_DIR/file.list.%{kdename}

find . -type f | sed -e 's,^\.,\%attr(-\,root\,root) ,' \
        -e '/\/config\//s|^|%config|' >> \
        $RPM_BUILD_DIR/file.list.%{kdename}

find . -type l | sed 's,^\.,\%attr(-\,root\,root) ,' >> \
        $RPM_BUILD_DIR/file.list.%{kdename}

%clean
rm -rf $RPM_BUILD_ROOT $RPM_BUILD_DIR/file.list.%{kdename}

%files -f ../file.list.%{kdename}

%changelog
* Wed Apr 21 1999 Preston Brown <pbrown@redhat.com>
- initial RPM for PowerTools 6.0







